TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | List of all members
TIBCO.EMS.ADMIN.SubscriptionInfo Class Reference

This class represents a topic subscription in EMS Server. More...

## Public Member Functions
override String | ToString ()
| String representation of this subscription. More...

## Properties
long | ID`[get]`
| Returns this subscription's ID. More...
String | Name`[get]`
| Returns this subscription name. More...
long | CreateTime`[get]`
| Returns this subscription's creation time in milliseconds. More...
String | TopicName`[get]`
| Returns the topic name this subscription is for. More...
long | PendingMessageCount`[get]`
| Returns the number of pending messages on this subscription. More...
long | PendingMessageSize`[get]`
| Returns combined size of pending messages for this subscription. More...
int | ConsumerCount`[get]`
| Returns the number of consumers for this subscription. More...
bool | HasSelector`[get]`
| Indicates if this subscription has a selector. More...
String | Selector`[get]`
| Returns this subscription's selector. More...
bool | IsShared`[get]`
| Indicates if this subscription is shared. More...
bool | IsDurable`[get]`
| Indicates if this subscription is durable. More...

## Detailed Description

This class represents a topic subscription in EMS Server.

See Also
  Admin.GetSubscriptions()

## Member Function Documentation

override String TIBCO.EMS.ADMIN.SubscriptionInfo.ToString | ( |  | ) |
| inline

String representation of this subscription.

Returns
  A string representing this subscription.

## Property Documentation

int TIBCO.EMS.ADMIN.SubscriptionInfo.ConsumerCount
| get

Returns the number of consumers for this subscription.

If the subscription is unshared, the count cannot exceed 1. If the subscription is shared, the count can exceed 1, since a shared subscription can have many shared consumers.

For durable subscriptions (shared and unshared), this count can be 0 if there is no active durable consumer.

Returns
  Number of consumers on this subscription, possibly 0.

See Also
  IsDurable, IsShared

long TIBCO.EMS.ADMIN.SubscriptionInfo.CreateTime
| get

Returns this subscription's creation time in milliseconds.

Returns
  Subscription's creation time in milliseconds.

bool TIBCO.EMS.ADMIN.SubscriptionInfo.HasSelector
| get

Indicates if this subscription has a selector.

Returns
  `true` if this subscription has a selector, `false` otherwise.

See Also
  Selector

long TIBCO.EMS.ADMIN.SubscriptionInfo.ID
| get

Returns this subscription's ID.

All subscriptions have unique positive ID.

Returns
  Subscription ID

bool TIBCO.EMS.ADMIN.SubscriptionInfo.IsDurable
| get

Indicates if this subscription is durable.

Returns
  `true` if this subscription is durable, `false` otherwise.

bool TIBCO.EMS.ADMIN.SubscriptionInfo.IsShared
| get

Indicates if this subscription is shared.

Returns
  `true` if this subscription is shared, `false` otherwise.

String TIBCO.EMS.ADMIN.SubscriptionInfo.Name
| get

Returns this subscription name.

It will be `null` for an unshared non-durable subscription.

Returns
  Subscription's name or `null` if this is an unshared non-durable subscription.

long TIBCO.EMS.ADMIN.SubscriptionInfo.PendingMessageCount
| get

Returns the number of pending messages on this subscription.

Returns
  Number of pending messages, possibly 0.

See Also
  PendingMessageSize

long TIBCO.EMS.ADMIN.SubscriptionInfo.PendingMessageSize
| get

Returns combined size of pending messages for this subscription.

Returns
  Cumulative size of pending messages, possibly 0.

See Also
  PendingMessageCount

String TIBCO.EMS.ADMIN.SubscriptionInfo.Selector
| get

Returns this subscription's selector.

Returns
  Subscription's selector or `null` if this subscription has no selector.

See Also
  HasSelector

String TIBCO.EMS.ADMIN.SubscriptionInfo.TopicName
| get

Returns the topic name this subscription is for.

Returns
  This subscription's topic name.